Package com.massivecraft.factions.event

## Enum FPlayerLeaveEvent.PlayerLeaveReason

- java.lang.Object
- - java.lang.Enum<FPlayerLeaveEvent.PlayerLeaveReason>
  - - com.massivecraft.factions.event.FPlayerLeaveEvent.PlayerLeaveReason

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FPlayerLeaveEvent.PlayerLeaveReason>`, `java.lang.constant.Constable`

Enclosing class:
  FPlayerLeaveEvent

    public static enum FPlayerLeaveEvent.PlayerLeaveReason
    extends java.lang.Enum<FPlayerLeaveEvent.PlayerLeaveReason>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`BANNED` |
`DISBAND` |
`JOINOTHER` |
`KICKED` |
`LEAVE` |
`RESET` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static FPlayerLeaveEvent.PlayerLeaveReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static FPlayerLeaveEvent.PlayerLeaveReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### KICKED

    public static final FPlayerLeaveEvent.PlayerLeaveReason KICKED

#### DISBAND

    public static final FPlayerLeaveEvent.PlayerLeaveReason DISBAND

#### RESET

    public static final FPlayerLeaveEvent.PlayerLeaveReason RESET

#### JOINOTHER

    public static final FPlayerLeaveEvent.PlayerLeaveReason JOINOTHER

#### LEAVE

    public static final FPlayerLeaveEvent.PlayerLeaveReason LEAVE

#### BANNED

    public static final FPlayerLeaveEvent.PlayerLeaveReason BANNED

### Method Detail

#### values

    public static FPlayerLeaveEvent.PlayerLeaveReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FPlayerLeaveEvent.PlayerLeaveReason valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null